phpLDAPadmin

# Class: Config

Source Location: /templates/3rdParty/pla/lib/config_default.php

### Class Overview

The config class contains all our configuration settings for a session.

### Variables

- $custom
- $default
- $hooks
- $servers

### Methods

- __construct
- CheckCustom
- configDefinition
- getCommandList
- getFriendlyHTML
- getFriendlyName
- getServer
- getServerList
- getValue
- haveFriendlyName
- isCommandAvailable
- setServers
- untested

### Class Details

[line 22]
The config class contains all our configuration settings for a session.

An instance of this class should be stored in $_SESSION to maintain state, and to avoid rebuilding/rereading it at the state of each page output.

[ Top ]

### Class Variables

#### $custom =

[line 23]

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $default =

[line 24]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $hooks = array()

[line 27]

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $servers = array()

[line 25]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

### Class Methods

### constructor __construct [line 29]

`Config __construct( )`

#### Tags:

access: | public

[ Top ]

### method CheckCustom [line 632]

`void CheckCustom( )`

Function to check and warn about any unusual defined variables.

#### Tags:

access: | public

[ Top ]

### method configDefinition [line 701]

`void configDefinition( $key, $index, $config)`

#### Tags:

access: | public

#### Parameters:

| $key |
| $index |
| $config |

[ Top ]

### method getCommandList [line 667]

`void getCommandList( )`

Get a list of available commands.

#### Tags:

access: | public

[ Top ]

### method getFriendlyHTML [line 773]

`string getFriendlyHTML( attribute $attr)`

This function will return the <ancronym> html for a friendly name attribute.

#### Tags:

return: | html for the friendly name.
access: | public

#### Parameters:

attribute | $attr |

[ Top ]

### method getFriendlyName [line 732]

`string getFriendlyName( attribute $attr)`

This function will return the friendly name of an attribute, if it exists.

If the friendly name doesnt exist, the attribute name will be returned.

#### Tags:

return: | friendly name|attribute
access: | public

#### Parameters:

attribute | $attr |

[ Top ]

### method getServer [line 783]

`void getServer( [ $index = null])`

#### Tags:

access: | public

#### Parameters:

| $index |

[ Top ]

### method getServerList [line 791]

`void getServerList( [boolean $visible = true])`

Return a list of our servers

#### Tags:

access: | public

#### Parameters:

boolean | $visible | - Only return visible servers

[ Top ]

### method getValue [line 596]

`void getValue( $key, $index, [ $fatal = true])`

Get a configuration value.

#### Tags:

access: | public

#### Parameters:

| $key |
| $index |
| $fatal |

[ Top ]

### method haveFriendlyName [line 760]

`boolean haveFriendlyName( attribute $attr)`

This function will return true if a friendly name exists for an attribute.

If the friendly name doesnt exist, it will return false.

#### Tags:

return: | true|false
access: | public

#### Parameters:

attribute | $attr |

[ Top ]

### method isCommandAvailable [line 684]

`void isCommandAvailable( [ $index = 'cmd'])`

Simple ACL to see if commands can be run

#### Tags:

access: | public

#### Parameters:

| $index |

[ Top ]

### method setServers [line 779]

`void setServers( $servers)`

#### Tags:

access: | public

#### Parameters:

| $servers |

[ Top ]

### method untested [line 618]

`void untested( )`

Return the untested config items

#### Tags:

access: | public

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:29:34 +0100 by phpDocumentor 1.4.1